Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451881 - "small" installation attempts to use missing video
Summary: "small" installation attempts to use missing video
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 22:50 UTC by Michal Jaegermann
Modified: 2014-01-21 23:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-26 19:16:37 UTC


Attachments (Terms of Use)
log from a test installatio (deleted)
2008-06-19 22:14 UTC, Michal Jaegermann
no flags Details

Description Michal Jaegermann 2008-06-17 22:50:40 UTC
Description of problem:

An experimental installation "from scratch" of F9, where only
"Base" and "Gnome Desktop" groups were picked up for a custom
install, brings up 645 packages and after that there are no
complaints from 'package-cleanup --problems'.

OTOH it that installation by default attempts to start in a graphics
mode and this makes it quite unhappy as X gets:

Fatal server error:
no screens found

It turns out that X attempts to use, quite correctly, a radeon
driver but that is not installed.  Quite easy to rectify but the
first boot is rather disappointing.

This report requested in a comment #10 of bug 388951.

Comment 1 Andy Lindeberg 2008-06-18 16:20:35 UTC
As a workaround, don't uncheck "X Window System". Will test this in Rawhide.

Comment 2 Chris Lumens 2008-06-19 20:39:57 UTC
Can you attach /var/log/install.log to this bug report?  Thanks.

Comment 3 Michal Jaegermann 2008-06-19 22:14:12 UTC
Created attachment 309886 [details]
log from a test installatio

You asked just in time.  I nearly "recycled" that installation. :-)

As you can see xorg-x11-drv-vesa got installed but that is not good
enough from POV of other software.

Comment 4 Bill Nottingham 2008-08-21 00:39:45 UTC
The groups no longer have dependencies, so you need to install X Window System in some manner. I don't think this is a comps bug.

Comment 5 Michal Jaegermann 2008-08-21 01:37:00 UTC
> The groups no longer have dependencies, so you need to install X Window System

X was there, and that was actually the problem. :-)
The issue was that it tried to use a non-installed driver.
Without X there would be no attempts to start.

Comment 6 Chris Lumens 2008-08-26 19:16:37 UTC
Well, some of X was there but not all of it.  When you select GNOME but not Base X, you only get the client programs and incidentally, an X server.  You're really not even supposed to get that.  You get xorg-x11-drv-vesa because it's required by the server you shouldn't really get.  However, the package you really want - xorg-x11-drivers - isn't required by anything.  This is so the X server can support a sort of fallback server which is useful for the terminal server people.

So it's a little confusing, but it's apparently all intentional.  If you really want to get the right driver packages, you need to select the Base X group in addition to whatever client program groups you want.


Note You need to log in before you can comment on or make changes to this bug.